// 
//  MSParent.h
//  citemp
//  
//  Created by Pieter Omvlee on 2007-07-10.
//  Copyright 2007 GetDrawIt. All rights reserved.
// 

#import <Cocoa/Cocoa.h>
#import "MSChild.h"
#import "NSArray_Extensions.h"

@interface MSParent : NSObject <NSCoding> {
  NSMutableArray *children;
}
- (void)addChild:(id)aChild;
- (void)insertChild:(id)aChild atIndex:(int)index;
- (id)addNewChild;
- (id)childAtIndex:(int)index;
- (void)removeChild:(id)aChild;
- (void)removeChildAtIndex:(int)index;
- (void)setChildren:(NSArray *)array;
- (NSArray *)children;

@end
